org.wso2.carbon.logging.admin.stub

## Interface LoggingAdmin

- All Known Implementing Classes:
    LoggingAdminStub

      public interface LoggingAdmin

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggerData[]` | `getAllLoggerData(String logNameFilter12, boolean beginsWith13)` Auto generated method signature
    `AppenderData` | `getAppenderData(String appenderName41)` Auto generated method signature
    `LoggerData` | `getLoggerData(String loggerName53)` Auto generated method signature
    `SyslogData` | `getSyslogData()` Auto generated method signature
    `LogData` | `getSystemLog()` Auto generated method signature
    `boolean` | `isStratosService()` Auto generated method signature
    `String` | `removeSyslogPattern(String appenderPattern26)` Auto generated method signature
    `void` | `restoreDefaults()` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAllLoggerData(String logNameFilter12, boolean beginsWith13, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAppenderData(String appenderName41, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetLoggerData(String loggerName53, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSyslogData(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSystemLog(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startisStratosService(LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveSyslogPattern(String appenderPattern26, LoggingAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateAllAppenderData(String appenderName45, String appenderPattern46, String threshold47, String logFileName48, String sysLogHost49, String facility50, boolean persist51)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateLoggerData(String loggerName57, String loggerLevel58, boolean additivity59, boolean persist60)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateSyslogConfig(String url20, String port21, String realm22, String userName23, String password24)` Auto generated method signature for Asynchronous Invocations
    `void` | `updateSystemLog(String logLevel33, String logPattern34, boolean persist35)` Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### getAllLoggerData

          LoggerData[] getAllLoggerData(String logNameFilter12,
                                      boolean beginsWith13)
                                        throws RemoteException

      Auto generated method signature
      Parameters:
        `getAllLoggerData11` -
      Throws:
        `RemoteException`

    - #### startgetAllLoggerData

          void startgetAllLoggerData(String logNameFilter12,
                                   boolean beginsWith13,
                                   LoggingAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAllLoggerData11` -
      Throws:
        `RemoteException`

    - #### isStratosService

          boolean isStratosService()
                                   throws RemoteException,
                                          LoggingAdminException

      Auto generated method signature
      Parameters:
        `isStratosService16` -
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### startisStratosService

          void startisStratosService(LoggingAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `isStratosService16` -
      Throws:
        `RemoteException`

    - #### updateSyslogConfig

          void updateSyslogConfig(String url20,
                                String port21,
                                String realm22,
                                String userName23,
                                String password24)
                                  throws RemoteException,
                                         LoggingAdminLoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminLoggingAdminException` - :
        `RemoteException`

    - #### removeSyslogPattern

          String removeSyslogPattern(String appenderPattern26)
                                     throws RemoteException

      Auto generated method signature
      Parameters:
        `removeSyslogPattern25` -
      Throws:
        `RemoteException`

    - #### startremoveSyslogPattern

          void startremoveSyslogPattern(String appenderPattern26,
                                      LoggingAdminCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `removeSyslogPattern25` -
      Throws:
        `RemoteException`

    - #### getSyslogData

          SyslogData getSyslogData()
                                   throws RemoteException,
                                          LoggingAdminLoggingAdminException

      Auto generated method signature
      Parameters:
        `getSyslogData29` -
      Throws:
        `LoggingAdminLoggingAdminException` - :
        `RemoteException`

    - #### startgetSyslogData

          void startgetSyslogData(LoggingAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSyslogData29` -
      Throws:
        `RemoteException`

    - #### updateSystemLog

          void updateSystemLog(String logLevel33,
                             String logPattern34,
                             boolean persist35)
                               throws RemoteException,
                                      LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### restoreDefaults

          void restoreDefaults()
                               throws RemoteException,
                                      LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### getSystemLog

          LogData getSystemLog()
                               throws RemoteException,
                                      LoggingAdminException

      Auto generated method signature
      Parameters:
        `getSystemLog37` -
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### startgetSystemLog

          void startgetSystemLog(LoggingAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSystemLog37` -
      Throws:
        `RemoteException`

    - #### getAppenderData

          AppenderData getAppenderData(String appenderName41)
                                       throws RemoteException

      Auto generated method signature
      Parameters:
        `getAppenderData40` -
      Throws:
        `RemoteException`

    - #### startgetAppenderData

          void startgetAppenderData(String appenderName41,
                                  LoggingAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAppenderData40` -
      Throws:
        `RemoteException`

    - #### updateAllAppenderData

          void updateAllAppenderData(String appenderName45,
                                   String appenderPattern46,
                                   String threshold47,
                                   String logFileName48,
                                   String sysLogHost49,
                                   String facility50,
                                   boolean persist51)
                                     throws RemoteException,
                                            LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

    - #### getLoggerData

          LoggerData getLoggerData(String loggerName53)
                                   throws RemoteException

      Auto generated method signature
      Parameters:
        `getLoggerData52` -
      Throws:
        `RemoteException`

    - #### startgetLoggerData

          void startgetLoggerData(String loggerName53,
                                LoggingAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getLoggerData52` -
      Throws:
        `RemoteException`

    - #### updateLoggerData

          void updateLoggerData(String loggerName57,
                              String loggerLevel58,
                              boolean additivity59,
                              boolean persist60)
                                throws RemoteException,
                                       LoggingAdminException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `LoggingAdminException` - :
        `RemoteException`

Copyright © 2017 WSO2. All rights reserved.